Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 988342 - Should not report info when set password with create form and should report create error info when mismath password and confirm password
Summary: Should not report info when set password with create form and should report c...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-node
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Ryan Barry
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-25 11:24 UTC by wanghui
Modified: 2013-11-28 11:58 UTC (History)
13 users (show)

Fixed In Version: ovirt-node-3.0.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-28 11:58:40 UTC
oVirt Team: ---


Attachments (Terms of Use)
error infos (deleted)
2013-07-25 11:24 UTC, wanghui
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 15249 None None None Never
oVirt gerrit 18277 None None None Never

Description wanghui 2013-07-25 11:24:20 UTC
Created attachment 778222 [details]
error infos

Description of problem:
It should not report info when setting password with creatly form. And it should report creatly error info when mismatch password with confirm password.

Version-Release number of selected component (if applicable):
ovirt-node-iso-3.1.0-0.999.999.20130723112131git21ad9e6.2916.fc19.iso
ovirt-node-3.1.0-0.999.20130723112131git21ad9e6.fc19.noarch

How reproducible:
100%

Steps to Reproduce:
1. Clear install ovirt-node.
2. Set Password in Security page as follows.
   Password:       redhat
3. Set confirm password as follows.
   Confirm Password:      123456

Actual results:
In step2, it reports red error info that is the field must contain an empty string or anything(min. 3 chars).
In step3, it reports the same error info as step2.

Expected results:
In step2, it should not report error info.
In step3, it should report mismatch error.

Additional info:

Comment 1 Mike Burns 2013-07-25 14:51:18 UTC
I think Fabiand was working on something to fix this already (there might even be another bug already filed, but I'm not seeing it).

Comment 2 Ryan Barry 2013-08-06 17:31:29 UTC
I'll talk to fabiand about this tomorrow. I've been playing around with it here and there but I can't find a way to reliably resolve without going to a middle ground between my initial patches for oVirt Gerrit 15079 and fabiand's changes. I'll see where we can meet in the middle.

Comment 3 Ryan Barry 2013-10-14 16:26:15 UTC
A combination of the new validation model and utils.security.password_check resolves this.


Note You need to log in before you can comment on or make changes to this bug.